import { makeStyles } from '~/Libs/Styles';
export default useStyles = makeStyles((theme) => ({
  root: {
    flex: 1,
  },
  messagesContainer: {
    paddingHorizontal: 10,
  },
  inputMessageContainer: {
    top: 10,
    width: '100%',
    height: Platform.OS == 'ios' ? 85 : 60,
    backgroundColor: '#5C5B5B',
    flexDirection: 'row',
    paddingHorizontal: 15,
    justifyContent: 'space-between',
    paddingBottom: Platform.OS == 'ios' ? 20 : 8,
  },
  input: {
    backgroundColor: '#8d8b8b',
    borderWidth: 1,
    borderColor: '#4b4949',
    borderRadius: 20,
    width: '87%',
    height: 40,
    alignSelf: 'center',
    paddingHorizontal: 13,
    color: 'white',
  },
  iconOnSendContainer: {
    width: 70,
    backgroundColor: 'green',
    justifyContent: 'center',
    alignItems: 'center',
  },
  iconOnSend: {
    width: 35,
    height: 35,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.palette.primary,
    borderRadius: 20,
    alignSelf: 'center',
  },
  containerMessage: (isMyMessage) => ({
    backgroundColor: isMyMessage ? theme.palette.primary : theme.palette.secondary,
    padding: 8,
    marginBottom: 3,
    marginTop: 3,
    borderRadius: 8,
    alignSelf: isMyMessage ? 'flex-end' : 'flex-start',
    maxWidth: '70%',
  }),
  textValue: { color: 'white' },
  textMoreDetails: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end',
    marginTop: 3,
  },
  textDate: (isMyMessage) => ({
    color: !isMyMessage ? '#CFD8DC' : '#FFE0B2',
    fontSize: 12,
  }),
  imageTick: {
    width: 12,
    height: 12,
    position: 'absolute',
    right: 0,
    tintColor: '#FFE0B2',
  },
  imageTick1: {
    width: 12,
    height: 12,
    position: 'absolute',
    tintColor: '#FFE0B2',
  },
  containerSeen: {
    marginLeft: 5,
    width: 18,
    height: 12,
  },
}));
